aboutsummaryrefslogtreecommitdiffstats
path: root/meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-09-30 21:35:20 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-09-30 22:16:10 +0100
commitc09cae578e5568c0ac975124db31f9cac05d50e9 (patch)
tree1183a51498c1d2c7874ea0d3741c4f70dbfc66ef /meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw
parenta51df11c1596746c85b015562ed67f37382b88b5 (diff)
downloadopenembedded-core-contrib-c09cae578e5568c0ac975124db31f9cac05d50e9.tar.gz
Move prism-firmware, spectrum-fw, python-urlgrabber, python-iniparse and yum-metadata to meta-extras
Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw')
-rwxr-xr-xmeta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw29
1 files changed, 29 insertions, 0 deletions
diff --git a/meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw b/meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw
new file mode 100755
index 0000000000..80420b01a8
--- /dev/null
+++ b/meta-extras/packages/spectrum-fw/spectrum-fw/get_symbol_fw
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Get firmware for Symbol Spectrum24 Trilogy.
+# Both the header file and the binary firmware files are produced.
+
+# Copyright (C) 2004 Pavel Roskin <proski@gnu.org>
+
+# This script is Free Software, and it can be copied, distributed and
+# modified as defined in the GNU General Public License. A copy of
+# its license can be downloaded from http://www.gnu.org/copyleft/gpl.html
+
+# Usage: get_symbol_fw
+# Output: spectrum_fw.h symbol_sp24t_prim_fw symbol_sp24t_sec_fw
+# Needed tools: curl (or wget), unzip, perl.
+
+set -e
+
+DL_INT1='S24DRVR392B67-01.exe'
+DL_INT2='Driver Only Installer/NetWLan5.sys'
+DRIVER1=symbol1.drv
+DRIVER2=symbol2.drv
+
+unzip -p $DL_INT1 "$DL_INT2" >$DRIVER2
+
+perl parse_symbol_fw $DRIVER2 spectrum_fw.h symbol_sp24t_prim_fw \
+ symbol_sp24t_sec_fw
+
+rm -f $DRIVER1 $DRIVER2
+